///////////////////////////////////////////////////////////////////////////////
// TcSystemCP66xx_API.h
//

#ifndef _TCSYSTEMCP66XXAPI_H
#define _TCSYSTEMCP66XXAPI_H

///////////////////////////////////////////////////////////////////////////////
// supported sensor types
///////////////////////////////////////////////////////////////////////////////
typedef enum SensorType
{
	SENSOR_PT100		= 0,
	SENSOR_PT1000		= 1,
	SENSOR_NI1000TK   = 2,
	SENSOR_NI1000DIN  = 3	
} SENSOR_TYPE; 


///////////////////////////////////////////////////////////////////////////////
// input values for TcSystemCP66xx_GetTemp()
///////////////////////////////////////////////////////////////////////////////
typedef struct
{
	unsigned int	uiRawValue;				// raw value form ADC
 	SensorType		eSensorType;			// sensor type
 	double			TemperatureOffset;	// temperature offset 
} CP66xxTempIn, *PCP66xxTempIn;


///////////////////////////////////////////////////////////////////////////////
// output values from TcSystemCP66xx_GetTemp()
///////////////////////////////////////////////////////////////////////////////
typedef struct
{
	double			Temperature;			// temperature
 	bool				bErrorBrokenSensor;	// sensor brocken bit
 	bool				bErrorOverRange;		// overrage bit
 	bool				bErrorUnderRange;		// underrange bit
} CP66xxTempOut, *PCP66xxTempOut;


///////////////////////////////////////////////////////////////////////////////
// Returns the current library version
//
// 100 -> Version 1.00																										
///////////////////////////////////////////////////////////////////////////////
DWORD TcSystemCP66xx_GetVersion( PDWORD pVersion );


///////////////////////////////////////////////////////////////////////////////
// Calculates the temperature from raw ADC value
///////////////////////////////////////////////////////////////////////////////
DWORD TcSystemCP66xx_GetTemp(PCP66xxTempIn TempIn, PCP66xxTempOut TempOut);


#endif _TCSYSTEMCP66XXAPI_H